classification
Title: More tests for JSON decoder to test Exceptions
Type: enhancement Stage: resolved
Components: Tests Versions: Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: ezio.melotti, kushal.das, pitrou, python-dev
Priority: normal Keywords: patch

Created on 2012-08-10 10:12 by kushal.das, last changed 2012-08-18 18:56 by pitrou. This issue is now closed.

Files
File name Uploaded Description Edit
json_tests.patch kushal.das, 2012-08-10 10:12 review
Messages (5)
msg167863 - (view) Author: Kushal Das (kushal.das) * (Python committer) Date: 2012-08-10 10:12
Added two more tests in json module to test exception cases. 

test_extra_data: this test checks the error condition when we have extra data in the stream.

test_invalid_escape: this test checks for the invalid escape sequence in the stream
msg167966 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2012-08-11 15:01
Hi and thank you. The patch looks fine to me. Could you sign a contributor's agreement: http://www.python.org/psf/contrib/ ?
msg168008 - (view) Author: Kushal Das (kushal.das) * (Python committer) Date: 2012-08-11 20:36
Contributor's agreement signed and sent to the given email address. 
Thanks for the input.
msg168523 - (view) Author: Roundup Robot (python-dev) Date: 2012-08-18 18:54
New changeset cd9a4883dd02 by Antoine Pitrou in branch '3.2':
Issue #15615: Add some tests for the json module's handling of invalid input data.
http://hg.python.org/cpython/rev/cd9a4883dd02

New changeset 01717c3da4fb by Antoine Pitrou in branch 'default':
Issue #15615: Add some tests for the json module's handling of invalid input data.
http://hg.python.org/cpython/rev/01717c3da4fb

New changeset b16a5f0d0c87 by Antoine Pitrou in branch '2.7':
Issue #15615: Add some tests for the json module's handling of invalid input data.
http://hg.python.org/cpython/rev/b16a5f0d0c87
msg168524 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2012-08-18 18:56
Thanks and congratulations for your patch! It's now committed to all three branches.
History
Date User Action Args
2012-08-18 18:56:01pitrousetstatus: open -> closed
resolution: fixed
messages: + msg168524

stage: resolved
2012-08-18 18:54:20python-devsetnosy: + python-dev
messages: + msg168523
2012-08-11 20:36:01kushal.dassetmessages: + msg168008
2012-08-11 15:01:31pitrousetnosy: + ezio.melotti, pitrou

messages: + msg167966
versions: + Python 2.7, Python 3.2, Python 3.3, - Python 3.4
2012-08-10 10:12:45kushal.dascreate